# Interface IContextManagerListener

All Known Implementing Classes:
  `BindingManager`

public interface IContextManagerListener
An instance of this interface can be used by clients to receive notification of changes to one or more instances of `IContextManager`.

This interface may be implemented by clients.

Since:
  3.1
See Also:
  - `ContextManager.addContextManagerListener(IContextManagerListener)`
  - `ContextManager.removeContextManagerListener(IContextManagerListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`contextManagerChanged(ContextManagerEvent contextManagerEvent)`
Notifies that one or more properties of an instance of `IContextManager` have changed.

## Method Details

### contextManagerChanged

void contextManagerChanged(ContextManagerEvent contextManagerEvent)
Notifies that one or more properties of an instance of `IContextManager` have changed. Specific details are described in the `ContextManagerEvent`.

Parameters:
  `contextManagerEvent` - the context manager event. Guaranteed not to be `null`.